[git commit nptl] MAKEALL: find kernel headers better

Mike Frysinger vapier at gentoo.org
Wed Aug 19 11:29:41 UTC 2009


commit: http://git.uclibc.org/uClibc/commit/?id=d9af0dffc48c7aae40bd1dd2fff983b62913f25c
branch: http://git.uclibc.org/uClibc/commit/?id=refs/heads/nptl

Work with pre-sysroot compilers that have kernel headers available in the
standard location, and let people force the location manually.

Signed-off-by: Mike Frysinger <vapier at gentoo.org>
Signed-off-by: Austin Foxley <austinf at cetoncorp.com>
---
 extra/scripts/MAKEALL |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

diff --git a/extra/scripts/MAKEALL b/extra/scripts/MAKEALL
index dc9f754..6bacc9a 100755
--- a/extra/scripts/MAKEALL
+++ b/extra/scripts/MAKEALL
@@ -101,7 +101,18 @@ for a in "$@" ; do
 
 	setconfig CROSS_COMPILER_PREFIX ${CROSS}
 
-	header_path=$(echo '#include <linux/version.h>' | ${CROSS}cpp 2>&1 | grep -o '[^"]*linux/version.h')
+	header_path=${KERNEL_HEADERS:-$(echo '#include <linux/version.h>' | ${CROSS}cpp 2>/dev/null | grep -o '[^"]*linux/version.h')} || :
+	if [ -z "${header_path}" ] ; then
+		for p in /usr/${CROSS%-}/usr/include ; do
+			if [ -e ${p}/linux/version.h ] ; then
+				header_path=${p}
+				break
+			fi
+		done
+		if [ -z "${header_path}" ] ; then
+			echo "  ## unable to locate KERNEL_HEADERS"
+		fi
+	fi
 	setconfig KERNEL_HEADERS ${header_path%/linux/version.h}
 
 	if do_make ; then
-- 
1.6.3.3



More information about the uClibc-cvs mailing list